# Class: CoffeeMaker

Defined in: | node_modules/grunt-codo/node_modules/codo/node_modules/haml-coffee/src/cli/coffee-maker.coffee

## Class Method Summary

- . (void) compileFile(filename, compilerOptions = {}, namespace = null, templateName = null) Compiles a Haml-Coffee file to a JavaScript template.
- . (void) compile(source, templateName, namespace = null, compilerOptions = {}) Compiles a Haml-Coffee file to a JavaScript template.
- . (void) renderFile(filename, compilerOptions = {})
- . (void) render(source, compilerOptions = {})

## Class Method Details

. (void) compileFile(filename, compilerOptions = {}, namespace = null, templateName = null)

Compiles a Haml-Coffee file to a JavaScript template. When the output template is omitted, it will be derived from the file name.

### Parameters:

- filename ( `String` ) — the Haml coffee file to compile
- compilerOptions ( `Object` ) — the compiler options
- namespace ( `String` ) — the template namespace
- templateName ( `String` ) — the name of the output template

. (void) compile(source, templateName, namespace = null, compilerOptions = {})

Compiles a Haml-Coffee file to a JavaScript template. When the output template is omitted, it will be derived from the file name.

### Parameters:

- source ( `String` ) — the template source code
- templateName ( `String` ) — the name of the output template
- namespace ( `String` ) — the template namespace
- compilerOptions ( `Object` ) — the compiler options

. (void) renderFile(filename, compilerOptions = {})

. (void) render(source, compilerOptions = {})

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input